com.sun.jdi.connect.spi

## Class TransportService.Capabilities

- java.lang.Object
- - com.sun.jdi.connect.spi.TransportService.Capabilities

Enclosing class:
  TransportService

    @Exported
    public abstract static class TransportService.Capabilities
    extends Object

The transport service capabilities.

### Constructor Summary

Constructors
Constructor and Description
`Capabilities()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `supportsAcceptTimeout()` Tell whether or not this transport service supports a timeout while waiting for a target VM to connect.
`abstract boolean` `supportsAttachTimeout()` Tell whether or not this transport service supports a timeout when attaching to a target VM.
`abstract boolean` `supportsHandshakeTimeout()` Tells whether or not this transport service supports a timeout when handshaking with the target VM.
`abstract boolean` `supportsMultipleConnections()` Tells whether or not this transport service can support multiple concurrent connections to a single address that it is listening on.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Capabilities

    public Capabilities()

### Method Detail

#### supportsMultipleConnections

    public abstract boolean supportsMultipleConnections()

Tells whether or not this transport service can support multiple concurrent connections to a single address that it is listening on.

Returns:
  `true` if, and only if, this transport service supports multiple connections.

#### supportsAttachTimeout

    public abstract boolean supportsAttachTimeout()

Tell whether or not this transport service supports a timeout when attaching to a target VM.

Returns:
  `true` if, and only if, this transport service supports attaching with a timeout.
See Also:
  `TransportService.attach(String,long,long)`

#### supportsAcceptTimeout

    public abstract boolean supportsAcceptTimeout()

Tell whether or not this transport service supports a timeout while waiting for a target VM to connect.

Returns:
  `true` if, and only if, this transport service supports timeout while waiting for a target VM to connect.
See Also:
  `TransportService.accept(TransportService.ListenKey,long,long)`

#### supportsHandshakeTimeout

    public abstract boolean supportsHandshakeTimeout()

Tells whether or not this transport service supports a timeout when handshaking with the target VM.

Returns:
  `true` if, and only if, this transport service supports a timeout while handshaking with the target VM.
See Also:
  `TransportService.attach(String,long,long)`, `TransportService.accept(TransportService.ListenKey,long,long)`